Clean Rooms
Manage clean rooms and their assets and task runs
Create Clean Room Asset Review Beta
POST
Submit an asset review
API scopes: cleanrooms
Parameters
- clean_room_namestringpath
Name of the clean room
- namestringpath
Name of the asset
- asset_typestringpath
Asset type. Can either be NOTEBOOK_FILE or JAR_ANALYSIS.
Request body
- notebook_reviewobjectRequired
Show child attributesHide child attributes
- etagstring
Etag identifying the notebook version
- review_statestring
Review outcome
- commentstring
Review comment
- jar_analysis_reviewobjectRequired
Show child attributesHide child attributes
- etagstring
Etag identifying the jar analysis version, with its value being a hash of an internally-generated UUID
- review_statestring
Review outcome
- commentstring
Review comment
Response
- notebook_reviewsarray of object
All existing notebook approvals or rejections
Show child attributesHide child attributes
- reviewer_collaborator_aliasstring
Collaborator alias of the reviewer
- created_at_millisint64
When the review was submitted, in epoch milliseconds
- review_statestring
Review outcome
- commentstring
Review comment
- review_sub_reasonstring
Specified when the review was not explicitly made by a user
- jar_analysis_reviewsarray of object
All existing jar analysis approvals or rejections
Show child attributesHide child attributes
- reviewer_collaborator_aliasstringPublic Preview
collaborator alias of the reviewer
- created_at_millisint64Public Preview
timestamp of when the review was submitted
- review_statestringPublic Preview
review outcome
- commentstringPublic Preview
review comment
- review_sub_reasonstringPublic Preview
specified when the review was not explicitly made by a user
- notebook_review_statestringRequired
Top-level status derived from all reviews
- jar_analysis_review_statestringRequired
top-level status derived from all reviews
Create Clean Room Output Catalog GA
POST
Create the output catalog of the clean room.
API scopes: cleanrooms
Parameters
- clean_room_namestringpath
Name of the clean room.
Request body
- output_catalogobject
Show child attributesHide child attributes
- statusstring
- catalog_namestring
The name of the output catalog in UC. It should follow UC securable naming requirements. The field will always exist if status is CREATED.
Response
- output_catalogobject
Show child attributesHide child attributes
- statusstring
- catalog_namestring
The name of the output catalog in UC. It should follow UC securable naming requirements. The field will always exist if status is CREATED.
List Clean Room Notebook Task Runs GA
GET
List all the historical notebook task runs in a clean room.
API scopes: cleanrooms
Parameters
- clean_room_namestringpath
Name of the clean room.
- notebook_namestringquery
Notebook name
- page_sizeint32query
The maximum number of task runs to return. Currently ignored - all runs will be returned.
- page_tokenstringquery
Opaque pagination token to go to next page based on previous query.
Response
- runsarray of object
Name of the clean room.
Show child attributesHide child attributes
- notebook_namestring
Asset name of the notebook executed in this task run.
- start_timeint64
When the task run started, in epoch milliseconds.
- run_durationint64
Duration of the task run, in milliseconds.
- notebook_job_run_stateobject
State of the task run.
Show child attributesHide child attributes
- life_cycle_statestring
A value indicating the run's current lifecycle state. This field is always available in the response. Note: Additional states might be introduced in future releases.
- result_statestring
A value indicating the run's result. This field is only available for terminal lifecycle states. Note: Additional states might be introduced in future releases.
- collaborator_job_run_infoobject
Job run info of the task in the runner's local workspace. This field is only included in the LIST API. if the task was run within the same workspace the API is being called. If the task run was in a different workspace under the same metastore, only the workspace_id is included.
Show child attributesHide child attributes
- collaborator_job_idint64
Job ID of the task run in the collaborator's workspace.
- collaborator_job_run_idint64
Job run ID of the task run in the collaborator's workspace.
- collaborator_task_run_idint64
Task run ID of the task run in the collaborator's workspace.
- collaborator_workspace_idint64
ID of the collaborator's workspace that triggered the task run.
- collaborator_aliasstring
Alias of the collaborator that triggered the task run.
- output_schema_namestring
Name of the output schema associated with the clean rooms notebook task run.
- output_schema_expiration_timeint64
Expiration time of the output schema of the task run (if any), in epoch milliseconds.
- notebook_etagstring
Etag of the notebook executed in this task run, used to identify the notebook version.
- notebook_updated_atint64
The timestamp of when the notebook was last updated.
- next_page_tokenstring
Opaque token to retrieve the next page of results. Absent if there are no more pages. page_token should be set to this value for the next request (for the next page of results).
List Clean Room Task Runs Handler GA
GET
List all the historical task runs in a clean room.
API scopes: cleanrooms
Parameters
- clean_room_namestringpath
Name of the clean room.
- namestringquery
Executable name.
- task_typestringquery
Filter by the type of Clean Room task.
- page_sizeint32query
The maximum number of task runs to return. Maximum value of 100.
- page_tokenstringquery
Opaque pagination token to go to next page based on previous query.
Response
- runsarray of object
Task runs in the clean room.
Show child attributesHide child attributes
- namestring
Name of the executable.
- task_typestring
The type of Clean Room task.
- start_timeint64
When the task run started, in epoch milliseconds.
- run_durationint64
Duration of the task run, in milliseconds.
- task_run_stateobject
State of the task run.
Show child attributesHide child attributes
- life_cycle_statestring
A value indicating the run's current lifecycle state. This field is always available in the response. Note: Additional states might be introduced in future releases.
- result_statestring
A value indicating the run's result. This field is only available for terminal lifecycle states. Note: Additional states might be introduced in future releases.
- collaborator_job_run_infoobject
Job run info of the task in the runner's local workspace. This field is only included in the LIST API if the task was run within the same workspace the API is being called. If the task run was in a different workspace under the same metastore, only the workspace_id is included.
Show child attributesHide child attributes
- collaborator_job_idint64
Job ID of the task run in the collaborator's workspace.
- collaborator_job_run_idint64
Job run ID of the task run in the collaborator's workspace.
- collaborator_task_run_idint64
Task run ID of the task run in the collaborator's workspace.
- collaborator_workspace_idint64
ID of the collaborator's workspace that triggered the task run.
- collaborator_aliasstring
Alias of the collaborator that triggered the task run.
- output_infoobject
Information about run output
Show child attributesHide child attributes
- output_schema_namestring
Name of the output schema associated with the clean room task run.
- output_schema_expiration_timeint64
Expiration time of the output schema of the task run (if any), in epoch milliseconds.
- analysis_detailsobject
Information about the analysis run (etag, updated at)
Show child attributesHide child attributes
- etagstring
Etag of the asset executed in this task run, used to identify the asset version.
- updated_atint64
The timestamp of when the asset was last updated.
- next_page_tokenstring
Opaque token to retrieve the next page of results. Absent if there are no more pages. page_token should be set to this value for the next request (for the next page of results).